Client Registration
Register clients.
Read all clients registrations available in your Collibra instance.
This endpoint is proprietary, rather than part of the OAuth 2.0 family of standards.
Client registrations retrieved successfully
Client registrations found.
GET /rest/auth/v1/clients HTTP/1.1
Accept: */*
Client registrations retrieved successfully
{
"registrations": [
{
"client_id": "text",
"client_name": "text",
"client_id_issued_at": 1,
"grant_types": [
"text"
],
"redirect_uris": [
"https://example.com"
],
"require_proof_key": true
}
]
}Register a client installed at your premises.
Collibra assigns the registered client a unique client identifier, assigns a client secret, and associates the metadata provided in the request to the registered client.
Request to register a new client.
Descriptive name of the client.
Two different clients cannot have the same name.
This should be a name that reveals the purpose of the client.
Techlin Harvester (us-west-1)Authorization grants that the client is allowed to use.
Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type.
Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when grant_types includes authorization_code. Defaults to true.
Identifier of the Collibra software bundle that implements the client.
datalineage-harvesterClient registered successfully
Data associated to the registered client.
The client secret returned in this response cannot be read through any API call. Thus you should store the client secret returned in this response.
Technical client identifier returned by the Authorization Server when the client is registered.
Time at which the client identifier was issued.
The time is represented as the number of seconds from 1970-01-01T00:00:00Z as measured in UTC until the date/time of issuance.
Descriptive name of the client.
Two different clients cannot have the same name.
This should be a name that reveals the purpose of the client.
Techlin Harvester (us-west-1)Authorization grants that the client is allowed to use.
Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type.
Whether Proof Key for Code Exchange (PKCE, RFC 7636) is required for the authorization_code grant. Only applicable when grant_types includes authorization_code. Defaults to true.
Secret generated by Collibra for the registered client.
Client registration request is invalid
POST /rest/auth/v1/clients HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 173
{
"software_id": "datalineage-harvester",
"client_name": "Techlin Harvester (us-west-1)",
"grant_types": [
"text"
],
"redirect_uris": [
"https://example.com"
],
"require_proof_key": true
}{
"client_secret": "password",
"client_id": "text",
"client_id_issued_at": 1,
"client_name": "Techlin Harvester (us-west-1)",
"grant_types": [
"text"
],
"redirect_uris": [
"https://example.com"
],
"require_proof_key": true
}Last updated
Was this helpful?